using System;
using System.Collections.Generic;
using Zurnal.domain.Models;
using Zurnal.RemaDateBase.DateDao;

namespace Zurnal.Data.Repository
{
    public interface IUserRepository
    {
        List<UserLocalEnity> GetAllUsers { get; }
        List<GroupDao> AllGroup { get; }
        bool RemoveUserByGuid(Guid userGuid);
        UserLocalEnity? GetUserByGuid(Guid userGuid);
        UserLocalEnity? UpdateUser(UserLocalEnity userUpdateLocalEnity);
    }
}